Ticket #27492: error_message_Sage_9.3.beta6.txt

File error_message_Sage_9.3.beta6.txt, 7.4 KB (added by egourgoulhon, 2 years ago)
Line 
1sage: Parallelism().set(nproc=2)
2sage: M = Manifold(2, 'M')
3sage: X.<x,y> = M.chart()
4sage: t = M.tensor_field(0, 2)
5sage: t[0,0], t[0,1], t[1,1] = function('f')(x), x+y, x-y
6sage: v = M.vector_field(1 + x*y, -x^2)
7sage: s = t.contract(v)  # parallelized computation occurs here
8---------------------------------------------------------------------------
9RemoteTraceback                           Traceback (most recent call last)
10RemoteTraceback:
11"""
12Traceback (most recent call last):
13  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/interfaces/interface.py", line 718, in __init__
14    self._name = parent._create(value, name=name)
15  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/interfaces/maxima_lib.py", line 604, in _create
16    self.set(name, value)
17  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/interfaces/maxima_lib.py", line 512, in set
18    self.eval(cmd)
19  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/interfaces/maxima_lib.py", line 458, in _eval_line
20    maxima_eval("#$%s$" % statement)
21  File "sage/libs/ecl.pyx", line 853, in sage.libs.ecl.EclObject.__call__ (build/cythonized/sage/libs/ecl.c:8601)
22    lispargs = EclObject(list(args))
23  File "sage/libs/ecl.pyx", line 714, in sage.libs.ecl.EclObject.__init__ (build/cythonized/sage/libs/ecl.c:8064)
24    self.set_obj(python_to_ecl(args[0], True))
25  File "sage/libs/ecl.pyx", line 488, in sage.libs.ecl.python_to_ecl (build/cythonized/sage/libs/ecl.c:7050)
26    L = cl_cons(python_to_ecl(pyobj[0], read_strings),Cnil)
27  File "sage/libs/ecl.pyx", line 464, in sage.libs.ecl.python_to_ecl (build/cythonized/sage/libs/ecl.c:6687)
28    return ecl_safe_funcall(read_from_string_clobj, o)
29  File "sage/libs/ecl.pyx", line 352, in sage.libs.ecl.ecl_safe_funcall (build/cythonized/sage/libs/ecl.c:5735)
30    raise RuntimeError("ECL says: {}".format(
31RuntimeError: ECL says: THROW: The catch MACSYMA-QUIT is undefined.
32
33During handling of the above exception, another exception occurred:
34
35Traceback (most recent call last):
36  File "/usr/lib/python3.8/multiprocessing/pool.py", line 125, in worker
37    result = (True, func(*args, **kwds))
38  File "sage/misc/fpickle.pyx", line 104, in sage.misc.fpickle.call_pickled_function (build/cythonized/sage/misc/fpickle.c:2384)
39    res = eval("f(*args, **kwds)",sage.all.__dict__, {'args':args, 'kwds':kwds, 'f':f})
40  File "<string>", line 1, in <module>
41  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/tensor/modules/comp.py", line 2329, in make_Contraction
42    sm += this[[ind_s]] * other[[ind_o]]
43  File "sage/structure/element.pyx", line 1513, in sage.structure.element.Element.__mul__ (build/cythonized/sage/structure/element.c:12169)
44    return (<Element>left)._mul_(right)
45  File "sage/structure/element.pyx", line 1559, in sage.structure.element.Element._mul_ (build/cythonized/sage/structure/element.c:12522)
46    return python_op(other)
47  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/manifolds/scalarfield.py", line 2688, in _mul_
48    result._express[chart] = self._express[chart] * other._express[chart]
49  File "sage/structure/element.pyx", line 1513, in sage.structure.element.Element.__mul__ (build/cythonized/sage/structure/element.c:12169)
50    return (<Element>left)._mul_(right)
51  File "sage/structure/element.pyx", line 2628, in sage.structure.element.RingElement._mul_ (build/cythonized/sage/structure/element.c:18433)
52    cpdef _mul_(self, other):
53  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/manifolds/chart_func.py", line 1445, in _mul_
54    res = self._simplify(self.expr() * other.expr())
55  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/manifolds/chart_func.py", line 401, in _simplify
56    res = self._calc_method.simplify(expr)
57  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/manifolds/calculus_method.py", line 276, in simplify
58    return self._simplify_dict[method](expression)
59  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/manifolds/utilities.py", line 595, in simplify_chain_real
60    expr = expr.simplify_factorial()
61  File "sage/symbolic/expression.pyx", line 10557, in sage.symbolic.expression.Expression.simplify_factorial (build/cythonized/sage/symbolic/expression.cpp:56289)
62    return self.parent()(self._maxima_().makefact().factcomb().minfactorial())
63  File "sage/symbolic/expression.pyx", line 1015, in sage.symbolic.expression.Expression._maxima_ (build/cythonized/sage/symbolic/expression.cpp:7962)
64    return super(Expression, self)._interface_(maxima)
65  File "sage/structure/sage_object.pyx", line 692, in sage.structure.sage_object.SageObject._interface_ (build/cythonized/sage/structure/sage_object.c:5759)
66    X = I(s)
67  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/interfaces/interface.py", line 295, in __call__
68    return cls(self, x, name=name)
69  File "/home/eric/sage/9.3.develop/local/lib/python3.8/site-packages/sage/interfaces/interface.py", line 720, in __init__
70    raise TypeError(x)
71TypeError: ECL says: THROW: The catch MACSYMA-QUIT is undefined.
72"""
73
74The above exception was the direct cause of the following exception:
75
76TypeError                                 Traceback (most recent call last)
77<ipython-input-9-d1a8f1c47ea1> in <module>
78----> 1 s = t.contract(v)  # parallelized computation occurs here
79
80~/sage/9.3.develop/local/lib/python3.8/site-packages/sage/manifolds/differentiable/tensorfield_paral.py in contract(self, *args)
81   1777         # This is to ensure the call to the TensorField version instead of
82   1778         # the FreeModuleTensor one
83-> 1779         return TensorField.contract(self, *args)
84   1780
85   1781     def __mul__(self, other):
86
87~/sage/9.3.develop/local/lib/python3.8/site-packages/sage/manifolds/differentiable/tensorfield.py in contract(self, *args)
88   3376             # call of the FreeModuleTensor version:
89   3377             args = pos1 + (other_r,) + pos2
90-> 3378             return FreeModuleTensor.contract(self_r, *args)
91   3379         com_dom = []
92   3380         for dom in self_r._restrictions:
93
94~/sage/9.3.develop/local/lib/python3.8/site-packages/sage/tensor/modules/free_module_tensor.py in contract(self, *args)
95   2839             raise ValueError("no common basis for the contraction")
96   2840         args = pos1 + (other._components[basis],) + pos2
97-> 2841         cmp_res = self._components[basis].contract(*args)
98   2842         if self._tensor_rank + other._tensor_rank - 2*ncontr == 0:
99   2843             # Case of scalar output:
100
101~/sage/9.3.develop/local/lib/python3.8/site-packages/sage/tensor/modules/comp.py in contract(self, *args)
102   2331                 return local_res
103   2332
104-> 2333             for ii, val in make_Contraction(listParalInput):
105   2334                 for jj in val:
106   2335                       res[[jj[0]]] = jj[1]
107
108~/sage/9.3.develop/local/lib/python3.8/site-packages/sage/parallel/multiprocessing_sage.py in parallel_iter(processes, f, inputs)
109     74     result = p.imap_unordered(call_pickled_function,
110     75                               [(fp, t) for t in inputs])
111---> 76     for res in result:
112     77         yield res
113     78     p.close()
114
115/usr/lib/python3.8/multiprocessing/pool.py in next(self, timeout)
116    866         if success:
117    867             return value
118--> 868         raise value
119    869
120    870     __next__ = next                    # XXX
121
122TypeError: ECL says: THROW: The catch MACSYMA-QUIT is undefined.